#!/bin/bash

# Copyright (C) 2024 Marcin Kulbaka
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


# convert all .PPM files to JPG format
for file in ./outputs_xy/*.ppm; do
    ppmtojpeg "$file" > "$file".jpg;
done


# rename filenames from *.ppm.jpg to *.jpg
for file in ./outputs_xy/*.ppm.jpg; do
    mv -- "$file" "${file%.ppm.jpg}.jpg";
done


# move *.jpg files to specific directory
mv ./outputs_xy/*jpg ./outputs_xy_jpg/
