/* demo_xy_batch.c
 * 
 * Copyright (C) 2024 Marcin Kulbaka
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#include <stdio.h>
#include <stdlib.h>

/****************** main program *********************/

int
main(int argc, char *argv[])
{
	/* variables */
	int i = 0;
	
	/* instructions */
	
	printf("\n*** PROGRAM DEMO_XY_BATCH ***\n\n");
	printf("argc == %i\n", argc);
	
	if(argc > 0)
	{/* argc > 0 */

		printf("parameters are:\n");

		for(i = 0; i < argc; i++)
		{
			printf("%2i -> %6s -> atoi == %4i\n", i, argv[i], atoi(argv[i]));
		}
		
	}/* argc > 0 */
	else
	{/* argc <= 0 */

		printf("ERROR - argc < 0 (%i)\n", argc);
		
	}/* argc <= 0 */
	
	printf("\n*** END OF PROGRAM DEMO_XY_BATCH ***\n");
    return 0;
	
}/* main program */

/* ==== end of file demo_xy_batch.c ==== */
